Subject: Re: linux-next: build warnings after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 23 Mar 2022 10:11:13 +1100

Hi Peter,

On Tue, 22 Mar 2022 22:52:52 +0100 Peter Zijlstra <[email-masked]> wrote:
>
> On Tue, Mar 22, 2022 at 02:51:08PM +1100, Stephen Rothwell wrote:
> > 
> > After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
> > produced these warnings:
> > 
> > WARNING: modpost: EXPORT symbol "device_match_devt" [vmlinux] version ...
> > Is "device_match_devt" prototyped in <asm/asm-prototypes.h>?
> > 
> > I get thousands like this :-(
> > 
> > I don't know what has done this, but there is a new Kbuild and modpost
> > change:
> > 
> >   2f35e67f621f ("kbuild: Fixup the IBT kbuild changes")  
> 
> It was; I rebased that commit and asked Boris to regen tip so you should
> have it fixed for the next round.

Excellent thanks (I just picked up the new tip tree).

-- 
Cheers,
Stephen Rothwell